## libmoosex-meta-typeconstraint-mooish-perl 0.001

=== debian/changelog ===
libmoosex-meta-typeconstraint-mooish-perl (0.001-2) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ gregor herrmann ]
  * debian/watch: use uscan version 4.

  [ Debian Janitor ]
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Submit.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Remove constraints unnecessary since stretch:
    + Build-Depends-Indep: Drop versioned constraint on
      libnamespace-autoclean-perl, libtest-checkdeps-perl,
      libtest-moose-more-perl, libtest-simple-perl and perl.
    + libmoosex-meta-typeconstraint-mooish-perl: Drop versioned constraint on
      libnamespace-autoclean-perl in Depends.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 15 Jun 2022 22:56:58 +0100

libmoosex-meta-typeconstraint-mooish-perl (0.001-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 05 Jan 2021 23:22:45 +0100

libmoosex-meta-typeconstraint-mooish-perl (0.001-1) unstable; urgency=low

  * Initial release (closes: #802957).

 -- gregor herrmann <gregoa@debian.org>  Sun, 25 Oct 2015 17:02:36 +0100
