=== debian/control ===
Source: libmoosex-meta-typeconstraint-mooish-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: gregor herrmann <gregoa@debian.org>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: libaliased-perl,
                     libmoose-perl,
                     libnamespace-autoclean-perl,
                     libtest-checkdeps-perl,
                     libtest-fatal-perl,
                     libtest-moose-more-perl,
                     libtry-tiny-perl,
                     perl,
                     perl | libtest-simple-perl
Standards-Version: 3.9.6
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libmoosex-meta-typeconstraint-mooish-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libmoosex-meta-typeconstraint-mooish-perl.git
Homepage: https://metacpan.org/release/MooseX-Meta-TypeConstraint-Mooish

Package: libmoosex-meta-typeconstraint-mooish-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         libmoose-perl,
         libnamespace-autoclean-perl,
         libtry-tiny-perl
Description: module to translate Moo-style constraints to Moose-style
 Moose::Meta::TypeConstraint are expected to return true if the value passes
 the constraint, and false otherwise; Moo "constraints", on the other hand,
 die if validation fails.
 .
 The MooseX::Meta::TypeConstraint::Mooish metaclass allows for Moo-style
 constraints; it will wrap them and translate their Moo into a dialect Moose
 understands.
 .
 Note that this is largely to enable functionality in
 MooseX::AttributeShortcuts; the easiest way use this metaclass is by using
 that package. Also, as it's not inconceivable that this functionality may be
 desired in other constraint metaclasses, the bulk of this metaclass'
 functionality is implemented as a trait
 (MooseX::TraitFor::Meta::TypeConstraint::Mooish).
