=== debian/watch ===
version=4
https://metacpan.org/release/MooseX-Meta-TypeConstraint-Mooish   .*/MooseX-Meta-TypeConstraint-Mooish-v?@ANY_VERSION@@ARCHIVE_EXT@$
